package com.persagy.dmp.file.client;

import cn.hutool.extra.spring.SpringUtil;
import com.persagy.dmp.common.model.response.CommonResult;
import com.persagy.dmp.file.model.FileInfo;
import com.persagy.dmp.file.model.FileRequestData;
import com.persagy.dmp.file.model.UploadMes;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 文件管理Client门面
 * @author Charlie Yu
 * @date 2021-05-15
 */
public class FileClientFacade {

    private static FileManageClient client = SpringUtil.getBean(FileManageClient.class);

    /***
     * Description: 获取文件上传信息-单个文件
     * @param requestData : 请求参数
     * @return : com.persagy.dmp.common.model.response.CommonResult<com.persagy.dmp.file.model.UploadMes>
     * @author : lijie
     * @date :2021/11/9 10:18
     * Update By lijie 2021/11/9 10:18
     */
    public static CommonResult<UploadMes> initChunkUploadPrototype(String groupCode, String projectId, String appId,
                                                                   String userId, FileRequestData requestData){
        return client.initChunkUpload(groupCode, projectId, appId, userId, requestData);
    }

    /***
     * Description: 获取文件上传信息-单个文件
     * @param requestData : 请求参数
     * @return : com.persagy.dmp.common.model.response.CommonResult<com.persagy.dmp.file.model.UploadMes>
     * @author : lijie
     * @date :2021/11/9 10:18
     * Update By lijie 2021/11/9 10:18
     */
    public static CommonResult<UploadMes> composeFilePrototype(String groupCode, String projectId, String appId,
                                                                   String userId, FileRequestData requestData){
        return client.composeFile(groupCode, projectId, appId, userId, requestData);
    }

    /***
     * Description: 获取文件上传信息-单个文件
     * @param requestData : 请求参数
     * @return : com.persagy.dmp.common.model.response.CommonResult<com.persagy.dmp.file.model.UploadMes>
     * @author : lijie
     * @date :2021/11/9 10:18
     * Update By lijie 2021/11/9 10:18
     */
    public static CommonResult<UploadMes> initSingleUploadPrototype(String groupCode, String projectId, String appId,
                                                                    String userId, FileRequestData requestData){
        return client.initSingleUpload(groupCode, projectId, appId, userId, requestData);
    }
    /***
     * Description: 获取文件上传信息-单个文件
     * @param requestData : 请求参数
     * @return : com.persagy.dmp.common.model.response.CommonResult<com.persagy.dmp.file.model.UploadMes>
     * @author : lijie
     * @date :2021/11/9 10:18
     * Update By lijie 2021/11/9 10:18
     */
    public static CommonResult<FileInfo> initFileDownloadPrototype(String groupCode, String projectId, String appId,
                                                                   String userId, FileRequestData requestData){
        return client.initFileDownload(groupCode, projectId, appId, userId, requestData);
    }



}
